alias_of:
  link: artist/3855
  names:
    en: Keiji Itsukashi
    ja: 嚴樫圭司
birthdate: '1969-04-15'
birthplace: Chofu, Tokyo, Japan
discography:
- catalog: MYUCD-08
  date: 1995-12
  link: album/8159
  reprint: false
  roles:
  - Artist
  titles:
    en: INFINITY
    ja: INFINITY
    ja-latn: INFINITY
  type: works
- catalog: MYUCD-10~1
  date: 1996-08
  link: album/8161
  reprint: false
  roles:
  - Arranger
  titles:
    en: Or
    ja: Or
    ja-latn: Or
  type: works
- catalog: MYUCD-26
  date: 2000-08
  link: album/101417
  reprint: false
  roles:
  - Composer
  titles:
    en: DISCOVERY
    ja: DISCOVERY
    ja-latn: DISCOVERY
  type: works
featured_on: []
info:
  Birthdate: Apr 15, 1969
  Birthplace: Chofu, Tokyo, Japan
  Credited works: 3 albums in database
  Credits:
  - 1 artist
  - 1 arranger
  - 1 composer
link: artist/3863
meta:
  added_date: 2008-04-24T16:38
  edited_date: 2024-06-11T16:35
  fetched_date: 2025-12-06T20:16
  ttl: 86400
  visitors: 2143
name: PALM GUARDIANS
notes: No notes available for this artist.
picture_full: https://media.vgm.io/artists/55/3855/3855-1602857818.jpg
picture_small: https://thumb-media.vgm.io/artists/55/3855/3855-1602857818.jpg
sex: male
type: Alias
vgmdb_link: https://vgmdb.net/artist/3863?perpage=99999
websites: {}
